# SGX SDK is for development use only hence no deubg package needed.
%define debug_package %{nil}

Name:           sgxsdk
Version:        2.19.100.0
Release:        1%{?dist}
Summary:        Intel SGX SDK

# The entire source code is BSD, except some Intel signed binaries
# include libsgx_{qve,tdqe,id_enclave,pce,qe3,le,qe,pve}.signed.so are
# Intel "redistributable without modification" binary license, and
# some third party projects are under other licenses in License.txt.
License:        BSD and MIT and ASL 2.0 and NCSA/MIT and CC0 and FBSDDL and OpenSSL and zlib and GPL and BSD/GPLv2 and EPL-1.0
URL:            https://github.com/intel/linux-sgx
Source0:        https://download.01.org/intel-sgx/sgx_repo/rpm_onespec/%{name}-%{version}.tar.gz

Requires: binutils
Requires: gdb

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: binutils
BuildRequires: libtool
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: cmake
BuildRequires: ocaml
BuildRequires: ocaml-ocamlbuild
BuildRequires: openssl-devel
BuildRequires: protobuf-compiler
BuildRequires: protobuf-devel
BuildRequires: libcurl-devel
BuildRequires: python3-devel
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl-devel
BuildRequires: perl(FindBin)
BuildRequires: perl(lib)
BuildRequires: nasm

# SGX is a feature supported and verified on x86_64 only.
ExclusiveArch: x86_64

%description
The Intel SGX SDK is a collection of APIs, libraries, documentation, and tools 
that allows software developers to create and debug Intel SGX enabled 
applications in C/C++.

%package -n sgxsdk-samples
Summary:        Intel SGX SDK Sample Code
Requires:       %{name} = %{version}-%{release}
Requires:       libsgx-urts >= %{version}-%{release}
Requires:       libsgx-enclave-common >= %{version}-%{release}

%description -n sgxsdk-samples
The Intel SGX SDK sample code projects show developers how to create an 
enclave, how to use C++11 library inside the enclave, how to do local
attestation and remote attestation, etc.

%prep
%setup -qc

%build
%make_build

%install
%make_install

%files
%license License.txt
%{_bindir}/sgx_config_cpusvn
%{_bindir}/sgx_edger8r
%{_bindir}/sgx_encrypt
%{_bindir}/sgx-gdb
%{_bindir}/sgx_protoc
%{_bindir}/sgx_sign
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/sgx-gdb-plugin/
%{_includedir}/sgxsdk/
%{_prefix}/lib/sgxsdk/
%{_datadir}/sgxsdk/
%exclude %{_datadir}/sgxsdk/SampleCode/

%files -n sgxsdk-samples
%{_datadir}/sgxsdk/SampleCode/

%changelog
* Mon Mar 27 2023 Yunying Sun <yunying.sun@intel.com> - 2.19.100.0-1
- Initial packaging
